Bug 247249 - databases/py-redis: Update to 3.5.3
Summary: databases/py-redis: Update to 3.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://github.com/andymccurdy/redis-...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-14 09:15 UTC by Antoine Brodin
Modified: 2020-06-30 16:45 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (koobs)


Attachments
patch (915 bytes, patch)
2020-06-14 09:15 UTC, Antoine Brodin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Brodin freebsd_committer 2020-06-14 09:15:09 UTC
Created attachment 215538 [details]
patch
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-15 02:13:31 UTC
Needs QA incl. against consumer <version-spec>'s
Comment 2 Kai Knoblich freebsd_committer 2020-06-15 16:18:24 UTC
(In reply to Kubilay Kocak from comment #1)

QA looks fine. I have also successfully tested net-mgmt/netbox for runtime without problems:

> Port                            Source          Remark
> databases/py-fakeredis          <3.6.0          setup.py
> devel/py-cachecontrol           >=2.10.5        setup.py
> devel/py-cachy                  >=3.3.6,<4.0.0  setup.py
> devel/py-dj22-django-rq         >=3             setup.py
> devel/py-django-rq              >=3             setup.py
> devel/py-rq                     >=3.0.0         setup.py
> devel/py-taskflow               >=2.10.0        test-requirements.txt
> graphics/py-sorl-thumbnail      N/A             Noted only as "redis" in README and tox.ini
> net-mgmt/netbox                 ==3.3.11        requirements.txt (not used during installation / runtime)
> net/py-kombu                    >=3.3.11        Noted in extra/requirements/extras/redis.txt
> www/py-dj22-django-cacheops     >=2.9.1         setup.py        
> www/py-dj22-django-redis        >=2.10.0        setup.py
> www/py-django-cacheops          >=2.9.1         setup.py
> www/py-django-constance         N/A             Noted as "redis" in setup.py 
> www/py-django-redis             >=2.10.0        setup.py
> www/py-horizon                  N/A             Noted in doc/source/admin/sessions.rst
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-16 03:46:57 UTC
(In reply to Kai Knoblich from comment #2)

Appreciate the assist
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-16 07:55:08 UTC
testport: OK (12amd64,py{37,27})
maketest: 456 passed, 19 skipped in 19.19 seconds
Comment 5 commit-hook freebsd_committer 2020-06-30 16:40:15 UTC
A commit references this bug:

Author: antoine
Date: Tue Jun 30 16:39:33 UTC 2020
New revision: 540904
URL: https://svnweb.freebsd.org/changeset/ports/540904

Log:
  Update to 3.5.3

  PR:		247249
  Approved by:	maintainer timeout (koobs, 2 weeks)

Changes:
  head/databases/py-redis/Makefile
  head/databases/py-redis/distinfo